---
title: "Get document download link"
url: "https://docs.signnow.com/docs/document/operations/get-document-download-link"
type: "endpoint"
section: "document"
slug: "document/operations/get-document-download-link"
method: "POST"
path: "/document/{document_id}/download/link"
operation_id: "get-document-download-link"
authorization: "bearer"
---

# Get document download link

`POST /document/{document_id}/download/link`

This endpoint allows API users to get a one-time link that anyone can use to download the document as a PDF.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document. |

## Responses

### 200

One-time download link for the document.

**Example** (`Successful response`)

```json
{
  "link": "https://signnow.com/dispatch?route=onetimedownload&source=link&document_download_id=117fd564393080553ebbb0c0278bc9652de94efc"
}
```

### 400

* Wrong, expired, or missing token.
* The document doesn't exist.
* The document belongs to another user.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Not the owner`)

```json
{
  "errors": [
    {
      "code": 65610,
      "message": "not readable"
    }
  ]
}
```

**Example** (`Document not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "document not exist"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/document/{document_id}/download/link" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/get-document-download-link*
